Class SupportPlansImpl
java.lang.Object
com.eqixiac.equinix.customerportal.client.implementation.SupportPlansImpl
- All Implemented Interfaces:
SupportPlans
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionlist()Lists all support plans for the current account.Lists support plans filtered by account numbers, IBXs and/or plan ids.Lists support plans filtered by account numbers, IBXs and/or plan ids, sorted by the supplied sort specifiers.
-
Constructor Details
-
SupportPlansImpl
public SupportPlansImpl()
-
-
Method Details
-
list
Description copied from interface:SupportPlansLists all support plans for the current account.Maps to
GET /colocations/v2/supportPlans(Retrieve Smart Hands support plans).- Specified by:
listin interfaceSupportPlans- Returns:
- a paginated list of support plans
-
list
public PaginatedList<SupportPlan> list(List<String> accountNumbers, List<String> ibxs, List<String> planIds) Description copied from interface:SupportPlansLists support plans filtered by account numbers, IBXs and/or plan ids.Maps to
GET /colocations/v2/supportPlans(Retrieve Smart Hands support plans).- Specified by:
listin interfaceSupportPlans- Parameters:
accountNumbers- the account numbers to filter by, ornullibxs- the IBX codes to filter by, ornullplanIds- the plan ids to filter by, ornull- Returns:
- a paginated list of matching support plans
-
list
public PaginatedList<SupportPlan> list(List<String> accountNumbers, List<String> ibxs, List<String> planIds, List<String> sorts) Description copied from interface:SupportPlansLists support plans filtered by account numbers, IBXs and/or plan ids, sorted by the supplied sort specifiers.Maps to
GET /colocations/v2/supportPlans(Retrieve Smart Hands support plans) with thesortsquery parameter.- Specified by:
listin interfaceSupportPlans- Parameters:
accountNumbers- the account numbers to filter by, ornullibxs- the IBX codes to filter by, ornullplanIds- the plan ids to filter by, ornullsorts- the sort specifiers, ornull- Returns:
- a paginated list of matching support plans
-